%global pkgname zope-configuration
%global modname zope.configuration
%global desc The zope configuration system provides an extensible system for supporting\
various kinds of configurations.\
\
It is based on the idea of configuration directives. Users of the configuration\
system provide configuration directives in some language that express\
configuration choices. The intent is that the language be pluggable. An XML\
language is provided by default.
%global sum Zope Configuration Markup Language (ZCML)


Name:           python-%{pkgname}
Version:        4.0.3
Release:        11%{?dist}
Summary:        %{sum}

Group:          Development/Libraries
License:        ZPLv2.1
URL:            https://github.com/zopefoundation/zope.configuration
Source0:        %{url}/archive/4.0.3/%{modname}-%{version}.tar.gz
BuildArch:      noarch

# Python2
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-zope-schema
BuildRequires:  python-zope-interface
BuildRequires:  python-zope-i18nmessageid
BuildRequires:  python-zope-testing

%{?python_provide:%python_provide python-%{pkgname}}
Requires:       python-zope-schema
Requires:       python-zope-interface
Requires:       python-zope-i18nmessageid

# Python3
BuildRequires:  python3-pkgversion-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-zope-schema
BuildRequires:  python%{python3_pkgversion}-zope-interface
BuildRequires:  python%{python3_pkgversion}-zope-i18nmessageid
BuildRequires:  python%{python3_pkgversion}-zope-testing
%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
BuildRequires:  python%{python3_other_pkgversion}-zope-schema
BuildRequires:  python%{python3_other_pkgversion}-zope-interface
BuildRequires:  python%{python3_other_pkgversion}-zope-i18nmessageid
BuildRequires:  python%{python3_other_pkgversion}-zope-testing
%endif


%description
%{desc}


# Python 3
%package -n python%{python3_pkgversion}-%{pkgname}
Summary:  %{sum}

Requires: python%{python3_pkgversion}-zope-schema
Requires: python%{python3_pkgversion}-zope-interface
Requires: python%{python3_pkgversion}-zope-i18nmessageid

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}

%description -n python%{python3_pkgversion}-%{pkgname}
%{desc}

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pkgname}
Summary:  %{sum}

Requires: python%{python3_other_pkgversion}-zope-schema
Requires: python%{python3_other_pkgversion}-zope-interface
Requires: python%{python3_other_pkgversion}-zope-i18nmessageid

%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pkgname}}

%description -n python%{python3_other_pkgversion}-%{pkgname}
%{desc}
%endif


%prep
%setup -q -n %{modname}-%{version}
rm -rf %{modname}.egg-info


%build
%py2_build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif


%install
%if 0%{?with_python3_other}
%py3_other_install
%endif
%py3_install
%py2_install


%check
%{__python2} setup.py test
%{__rm} -r %{buildroot}%{python2_sitelib}/zope/configuration/tests

# The tests do not pass with Python 3.6 as has been documented upstream:
# https://github.com/zopefoundation/zope.configuration/issues/16
# Thus, we will only run the tests on Python 2 for now.
%{__rm} -r %{buildroot}%{python3_sitelib}/zope/configuration/tests
%if 0%{?with_python3_other}
%{__rm} -r %{buildroot}%{python3_other_sitelib}/zope/configuration/tests
%endif


%files
%license COPYRIGHT.txt LICENSE.txt
%doc README.rst CHANGES.rst
# Co-own %%{python2_sitelib}/zope/
%dir %{python2_sitelib}/zope/
%{python2_sitelib}/zope/configuration/
%{python2_sitelib}/%{modname}*

# Python3
%files -n python%{python3_pkgversion}-%{pkgname}
%license COPYRIGHT.txt LICENSE.txt
%doc README.rst CHANGES.rst
# Co-own %%{python3_sitelib}/zope/
%dir %{python3_sitelib}/zope/
%{python3_sitelib}/zope/configuration/
%{python3_sitelib}/%{modname}*

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{pkgname}
%license COPYRIGHT.txt LICENSE.txt
%doc README.rst CHANGES.rst
# Co-own %%{python3_other_sitelib}/zope/
%dir %{python3_other_sitelib}/zope/
%{python3_other_sitelib}/zope/configuration/
%{python3_other_sitelib}/%{modname}*
%endif


%changelog
* Tue Apr 25 2017 Aurelien Bompard <abompard@fedoraproject.org> - 4.0.3-11
- Build the Python3 packages on EPEL.

* Fri Feb 24 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 4.0.3-10
- The python2- subpackage now provides the python- name.
- Correct a changelog entry from the last build not to use a macro.

* Fri Feb 24 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 4.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
- Disabled tests in Python 3 due to them failing upstream.
- Mark the license with the license macro.
- Rename python-zope-configuration to python2-zope-configuration.
- Used GitHub as new URL and Source0 since the old URLs were 404.
- Dropped BuildRoot.
- Use global instead of define for modname variable.

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.0.3-8
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 4.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun May 04 2014 Luke Macken <lmacken@redhat.com> - 4.0.3-1
- Update to 4.0.3

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 12 2013 Ralph Bean <rbean@redhat.com> - 4.0.2-1
- Latest upstream
- Added python3 subpackage
- Removed clean section
- Removed defattr

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan  2 2010 Luke Macken <lmacken@redhat.com> - 3.7.2-1
- Initial package
